2019-08-26 20:35 AEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000210mercuryBugpublic2011-08-19 01:21
Reporteraross 
Assigned Tojuliensf 
PrioritynormalSeveritytextReproducibilityN/A
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000210: Language Reference confuses maybeskel and listskel in "Insts, modes, and mode definitions"
DescriptionIn section 4.1 (Insts, modes, and mode definitions) of the Mercury Language Reference Manual there is the following text:

[quote]
For example, the following declaration

     :- inst maybeskel(Inst) ---> no ; yes(Inst).

defines the inst ‘listskel(Inst)’ to be a list skeleton whose elements have inst ‘Inst’; you can the use insts such as ‘listskel(listskel(free))’, which represents the instantiation state of a list of lists of free variables.
[/quote]

The declared inst (maybeskel) doesn't match the description (listskel).

There is also a typo in the description: "can the use" should be "can then use".
Additional Informationversion rotd-2011-08-15
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000348

juliensf (administrator)

Fixed in r1.469 of doc/reference_manual.texi.
+Notes

-Issue History
Date Modified Username Field Change
2011-08-17 13:26 aross New Issue
2011-08-17 14:25 juliensf Status new => assigned
2011-08-17 14:25 juliensf Assigned To => juliensf
2011-08-19 01:21 juliensf Note Added: 0000348
2011-08-19 01:21 juliensf Status assigned => resolved
2011-08-19 01:21 juliensf Resolution open => fixed
+Issue History